Bug 22015 - Java Jdk (1.2.2 .....) compatibility problems
Summary: Java Jdk (1.2.2 .....) compatibility problems
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-10 10:51 UTC by Need Real Name
Modified: 2016-11-24 14:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-11 18:30:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-10 10:51:55 UTC
Jdk 1.2.2 (Sun) is not compatible anymore with Linux Red Hat 7.0 (!!!)

It crashes (Segmentation fault) when javac or java are run in the command line.
(It is ok with Linux Red Hat 6.2)

Jdk 1.3 can be run normally.

But products like JBuilder 4 (working with Jdk 1.3), ok with red hat 6.2, can't be installed (Segmentation fault again) with red hat 7.0

Comment 1 Bill Nottingham 2000-12-10 17:21:25 UTC
Almost certainly a glibc issue. Make sure you install the errata glibc package.

Comment 2 Jakub Jelinek 2000-12-11 18:30:18 UTC
There was a bug fixed in glibc which was seen by JDK segfaults.
What does rpm -q glibc say? You should use glibc-2.2-5.

Comment 3 Jakub Jelinek 2001-02-23 12:55:19 UTC
Closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.